| Face Engine SDK 4.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IHeadPoseEstimator Struct Referenceabstract

Head pose angles estimator interface. More...

`#include <IHeadPoseEstimator.h>`

Inheritance diagram for fsdk::IHeadPoseEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Landmarks68 &landmarks, HeadPoseEstimation &out) const noexcept=0
| Estimate the angles. More...
virtual Result< FSDKError > | estimate (const fsdk::Image &image, const fsdk::Detection &detection, HeadPoseEstimation &out) const noexcept=0
| Estimate the angles. More...
virtual Result< FSDKError > | estimate (const fsdk::Image images[], const fsdk::Detection detections[], const uint32_t batchSize, HeadPoseEstimation out[]) const noexcept=0
| Estimate headpose angles of multiple frames in a single estimate function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Head pose angles estimator interface.

Note
  This estimator is designed to work with 68 facial landmarks or with raw image data;

See Also
  IDetector for details.

Estimated angles are:

- pitch;
- yaw;
- roll.
  See Also
    HeadPoseEstimation structure for details about how exactly the estimations are reported.

## Member Function Documentation

virtual Result<FSDKError> fsdk::IHeadPoseEstimator::estimate | ( | const Landmarks68 & | landmarks,
|  | HeadPoseEstimation & | out
| ) |  | const
| pure virtual noexcept

Estimate the angles.

Parameters

  [in] | landmarks | Landmarks68 structure.
  [out] | out | output estimation;

See Also
  AngleEstimation.

Returns
  Error code;

See Also
  FSDKError for details.

virtual Result<FSDKError> fsdk::IHeadPoseEstimator::estimate | ( | const fsdk::Image & | image,
|  | const fsdk::Detection & | detection,
|  | HeadPoseEstimation & | out
| ) |  | const
| pure virtual noexcept

Estimate the angles.

Parameters

  [in] | source | image in RGB format.
  [in] | detection | fsdk::Detection structure of corresponding source image.
  [out] | out | output estimation;

See Also
  HeadPoseEstimation.

Returns
  Error code;

See Also
  FSDKError for details.

virtual Result<FSDKError> fsdk::IHeadPoseEstimator::estimate | ( | const fsdk::Image | images[],
|  | const fsdk::Detection | detections[],
|  | const uint32_t | batchSize,
|  | HeadPoseEstimation | out[]
| ) |  | const
| pure virtual noexcept

Estimate headpose angles of multiple frames in a single estimate function call.

Parameters

  [in] | images | array of source images in RGB format.
  [in] | detections | fsdk::Detection array of corresponding images.
  [in] | batchSize | length of images and detections array
  [out] | out | estimations array of corresponding images;

See Also
  HeadPoseEstimation.

Returns
  Error code;

See Also
  FSDKError for details.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IHeadPoseEstimator.h